Partially update fraud case
- Applies partial updates to case
{id}and returns the updated case. - Omitting
commentleaves the case comment unchanged. - Transactions not included in the payload are not changed.
- Once any transaction has a customer decision, the case status changes from OPEN to PENDING.
- Transactions remain editable until the case is finalized via the Finalize case operation.
- No-op: if nothing changes, the case is returned unchanged.
curl --request PATCH \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/fraud-case/v1/{id}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>",
"transactions": [
{
"transactionId": "12345",
"customerDecision": "PENDING",
"customerComment": "Looks good to me",
"reason": {
"type": "RISK",
"code": "ISSUANCE_OF_A_PAYMENT_ORDER_BY_FRAUDSTER"
}
}
]
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/fraud-case/v1/{id}"
payload = {
"comment": "<string>",
"transactions": [
{
"transactionId": "12345",
"customerDecision": "PENDING",
"customerComment": "Looks good to me",
"reason": {
"type": "RISK",
"code": "ISSUANCE_OF_A_PAYMENT_ORDER_BY_FRAUDSTER"
}
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
comment: '<string>',
transactions: [
{
transactionId: '12345',
customerDecision: 'PENDING',
customerComment: 'Looks good to me',
reason: {type: 'RISK', code: 'ISSUANCE_OF_A_PAYMENT_ORDER_BY_FRAUDSTER'}
}
]
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/fraud-case/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "OPEN",
"cardId": "54321",
"createdTime": "2025-07-01T10:00:00Z",
"lastUpdatedTime": "2025-07-02T14:30:00Z",
"transactions": [
{
"transactionId": "12345",
"customerDecision": "PENDING",
"customerComment": "Looks good to me",
"lastUpdatedTime": "2025-07-02T15:00:00Z",
"reason": {
"type": "RISK",
"code": "ISSUANCE_OF_A_PAYMENT_ORDER_BY_FRAUDSTER"
},
"additionalAttributes": {}
}
],
"comment": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the fraud case
Query Parameters
The audit user to log the request
Body
Partial update for a fraud case
Partial update for a fraud case. - comment sets or replaces the case comment (can also be provided at finalize). - transactions updates a list of transactions; those not present are not modified.
Response
Successful partial update of the case
Unique identifier of the fraud case
"123e4567-e89b-12d3-a456-426614174000"
Current status of the fraud case
OPEN, PENDING, CLOSED "OPEN"
Unique identifier of the card on the fraud case
"54321"
Time when the fraud case was created
"2025-07-01T10:00:00Z"
Time when the fraud case was last updated
"2025-07-02T14:30:00Z"
List of transactions associated with this case
Show child attributes
Show child attributes
Optional plain text comment on case (set via PATCH or finalize).
512^[^\p{Cntrl}<>]*$Final case resolution derived when the case is CLOSED:
- NO_RISK if all transactions are NO_RISK
- RISK if at least one transaction is RISK Omitted for OPEN or PENDING cases.
RISK, NO_RISK Was this page helpful?

